Create an API key
POST
Creates an API key. Store key now: it is never shown again.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
application/json- body
expiresInDays?integerRange
1 <= value <= 365name*stringLength
1 <= length <= 64The new key, with its secret.
application/json- response
createdAt*stringISO 8601 date-time (UTC).
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeexpiresAt*|nullid*stringkey*stringThe secret. Shown once; store it now.
keyPrefix*string|nullname*string|nullcurl -X POST 'https://api.homemade.dev/api/api-keys' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "key": "string", "keyPrefix": "string", "name": "string"}